Support » Plugin: AMP » Did Amp plugin version 1.1.3 fully support twenty fourteen theme?

  • Resolved adil1641

    (@adil1641)


    hi, there is a new update came of amp plugin.
    should this update fully support the twenty fourteen theme or not?
    If yes, then what things can be done in amp and which mode should i use?
    please guide me about these things.

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Pascal Birchler

    (@swissspidy)

    Hey @adil1641, no need to create a new thread for this 🙂

    Support for Twenty Fourteen is coming in the upcoming 1.2 version of the plugin, which is going to be released very soon.

    As soon as that happens, you can update to version 1.2 of the plugin and it should just work. Also make sure that Native (Standard) mode is active.

    Please stay tuned until the new version is released 🙂

    thank you so much. One more question i need to ask, after updating to version 1.2
    All pages will be converted in amp or some pages will be converted in amp?
    like home page, blog page, post page etc.
    please guide me about these things

    Plugin Author albertomedina

    (@albertomedina)

    If the plugin is configured to Transitional or Native mode, all templates in your theme are eligible for AMP. Since AMP compatibility for TwentyFourteen will be included in 1.2, you will be able to have all your site in AMP, provided that you are not using plugins that inject JS to the pages, and that your theme is the standard TwentyFourteen theme (e.g. not modifications such as adding scripts, or too much CSS).

    You can learn about how to use the plugin here: https://amp-wp.org.

    Notice that in the upcoming release (1.2), the term Native mode will change and the docs will be updated.

    Plugin Author Weston Ruter

    (@westonruter)

    Use the latest beta release of 1.2 to try it out: https://github.com/ampproject/amp-wp/releases

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.